from math import *

def premier(n):
    reponse=True
    r=int(sqrt(n))
    for p in range (2,r+1):
        if n%p==0:
            reponse=False
    return reponse

def premiersup(n):
    while premier(n)==False:
        n=n+1
    return n
